# Ace of Shades - Help Information
In this document, we'll go over how to use the launcher, basic game controls, and some explanations of game mechanics so that you can start playing right away.

## Launcher
The launcher is a small application that makes it easy to connect to different servers to join their hosted games. The first thing you'll see is a list of servers. **You can remove or edit a server by right-clicking on it**, and **you can add new servers using the Add Server button** at the bottom.

Each entry in the list is just a way to remember a specific address (and optionally your preferred username when connecting to that server), so that **you can double-click on a server to instantly connect**.

> Servers have an *address* which consists usually of an IP address and port number. For example, there might be a server whose address is `123.123.123.123:54321`.
> 
> It's up to the server to decide whether to allow you to join, so pick a sensible username.

## Controls
To control your player in-game, the following are the default controls:

| Control      | Description                                     |
|--------------|-------------------------------------------------|
| `WASD`       | Move player forward, left, backward, and right. |
| `R`          | Reload your weapon.                             |
| `T`          | Start typing a message in chat.                 |
| `/`          | Start typing a command in chat.                 |
| `LEFT-CLICK` | Use your weapon.                                |
| `SCROLL`     | Zoom in or out.                                 |
| `MOUSE-MOVE` | Aim your weapon.                                |
| `ENTER`      | Send your message or command in chat.           |

> Be careful when typing a message or command in chat! Other players can and will try to kill you.

## Basic Mechanics
In most scenarios, when you join a server, you'll be placed onto a *team*. Each team has a spawn point, which is where you'll start out. There's also a resupply area for each team, where you can replenish your health and ammunition when running low.

> You can only resupply once in a while. Different servers may set their own rules, but the default is **30 seconds**.

Each time you kill someone from another team, your own team's score increases. Different servers may come up with different rules for what constitutes a victory, but the premise is simple: **kill as many enemies as possible**.

You can quit at any time by closing the game window.

> Some servers may have policies which discourage *combat-logging* (disconnecting when about to die), and they may ban you from reconnecting! Take this into account, and play fair.
